---
title: "Revoke an Agent Enrollment"
description: "Revoke one unclaimed Enrollment so its secret can no longer connect an Agent."
---
<nav class="docs-breadcrumb" aria-label="Breadcrumb"><a href="/docs/">CloudPrint Documentation</a><span aria-hidden="true">/</span><span>API reference</span></nav>

# Revoke an Agent Enrollment

<p class="docs-lead">Revoke one unclaimed Enrollment so its secret can no longer connect an Agent.</p>

<div class="api-endpoint-summary"><span class="api-method api-method-delete">DELETE</span><code>/partner-api/v1/accounts/{relationshipId}/agent-enrollments/{enrollmentId}</code><span><strong>API version:</strong> v1</span><span><strong>operationId:</strong> <code>revokePartnerAgentEnrollment</code></span><a href="/docs/api/v1/partner/agent-enrollments/revoke/index.md">View as Markdown</a></div>

## What this endpoint does

Revoke one unclaimed Enrollment so its secret can no longer connect an Agent.

## Authentication

Send a one-time RS256 Developer Application assertion in `Authorization: Bearer <application_assertion>`. This assertion is not a Public API access token.

## Request

**Production base URL:** `https://public-api.cloudprint.me/partner-api/v1/accounts/{relationshipId}/agent-enrollments/{enrollmentId}`

### Parameters

| Name | Location | Type | Required | Description | Constraints |
| --- | --- | --- | --- | --- | --- |
| `relationshipId` | path | `string (uuid)` | yes | — | — |
| `enrollmentId` | path | `string (uuid)` | yes | — | — |

### Request body

This endpoint has no request body.

### Example requests

#### cURL

```bash
curl -sS -X DELETE \
  "https://public-api.cloudprint.me/partner-api/v1/accounts/$RELATIONSHIP_ID/agent-enrollments/$ENROLLMENT_ID" \
  -H "Authorization: Bearer $APPLICATION_ASSERTION"
```

## Response

**HTTP status:** `204` — Agent Enrollment revoked

## Errors

| HTTP status | Description |
| --- | --- |
| `401` | Application assertion is invalid |
| `403` | Partner capability is not granted |
| `404` | Managed Account or Agent Enrollment was not found |
| `422` | Relationship ID or Agent Enrollment ID is invalid |
| `429` | Rate limit exceeded |
| `500` | Unexpected error |

## Integration guidance

## Related documentation

<div class="docs-card-grid"><a class="docs-card" href="/docs/api/v1/partner/agent-enrollments/list/"><strong>List managed Agent Enrollments</strong><span>List pending, claimed, expired and revoked Agent Enrollments without exposing their secret codes.</span></a>
<a class="docs-card" href="/docs/api/v1/partner/agent-enrollments/create/"><strong>Create a managed Agent Enrollment</strong><span>Issue an idempotent one-time Enrollment before or after customer onboarding.</span></a>
<a class="docs-card" href="/docs/partner-platform/agent-enrollment/"><strong>Enroll an agent for a customer</strong><span>Connect a local CloudPrint Agent to the correct managed customer account without requiring a customer portal login.</span></a></div>

<nav class="docs-resource-links" aria-label="Next steps"><a href="/docs/api/v1/explorer/">OpenAPI</a><a href="https://my.cloudprint.me">Open account</a><a href="/docs/legal/privacy/">Privacy Policy</a><a href="/docs/legal/terms/">Terms</a><a href="/docs/legal/payments-and-refunds/">Payment and refunds</a><a href="/docs/legal/data-processing/">DPA</a></nav>